package com.steerinfo.baseinfo.meterbasecarcard.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasecarcard.model.MeterBaseCarCard;

import java.util.List;

/**
 * MeterBaseCarCard服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-23 03:41
 * 类描述
 * 修订历史：
 * 日期：2020-06-23
 * 作者：generator
 * 参考：
 * 描述：MeterBaseCarCard服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseCarCardService extends IBaseService<MeterBaseCarCard, String>{
     String checkandadd(MeterBaseCarCard model);

     String Recovery(List<MeterBaseCarCard> models);

     String checkandupdate(String id,MeterBaseCarCard model);

     String abolish(List<MeterBaseCarCard> models);

     String allocation(MeterBaseCarCard model);

     String separate(List<MeterBaseCarCard> models);

     String checkandaddlist(List<MeterBaseCarCard> models);
}